Skip to main content
PUT
/
v1
/
projects
/
{projectId}
/
tools
/
{toolId}
Update Tool
curl --request PUT \
  --url https://api.pathors.com/v1/projects/{projectId}/tools/{toolId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "metadata": {},
  "inputSchema": {}
}
'

Request

PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId}

Path Parameters

projectId
string
required
The project ID
toolId
string
required
The tool ID

Headers

Authorization
string
required
Bearer token using your developer key

Body

name
string
Tool name (1-64 characters)
description
string
Tool description
metadata
object
Updated type-specific configuration
inputSchema
object
Updated JSON Schema for tool input

Response

Returns the updated tool.

Example

curl -X PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "updated-search",
    "description": "Updated search API"
  }'